libzypp 17.37.10

zyppng::ZckHelper::PrepareResult Struct Reference

`#include <zypp-curl/ng/network/zckhelper.h>`

## Public Types
enum | Code { Error , NothingToDo , ExceedsMaxLen , Success }

## Public Attributes
Code | _code
std::vector< Block > | _blocks
zypp::ByteCount | _bytesReused
std::string | _message

## Detailed Description

Definition at line 27 of file zckhelper.h.

## Member Enumeration Documentation

## ◆ Code

enum zyppng::ZckHelper::PrepareResult::Code

Enumerator
Error |
NothingToDo |
ExceedsMaxLen |
Success |

Definition at line 28 of file zckhelper.h.

## Member Data Documentation

## ◆ _code

Code zyppng::ZckHelper::PrepareResult::_code

Definition at line 35 of file zckhelper.h.

## ◆ _blocks

std::vector<Block> zyppng::ZckHelper::PrepareResult::_blocks

Definition at line 36 of file zckhelper.h.

## ◆ _bytesReused

zypp::ByteCount zyppng::ZckHelper::PrepareResult::_bytesReused

Definition at line 37 of file zckhelper.h.

## ◆ _message

std::string zyppng::ZckHelper::PrepareResult::_message

Definition at line 38 of file zckhelper.h.

The documentation for this struct was generated from the following file:

- zypp-curl/ng/network/zckhelper.h